QGIS Application - Feature request #10369
New Identify Results panel: one button not two
2014-05-27 06:27 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 18788
Description

Instead of two buttons (Expand tree+Collapse tree) a single toggling (on/off) button
could be better

History

#1 - 2014-05-27 06:27 AM - Paolo Cavallini

Furthermore, the full stop at the end of the description should be removed for consistency

#2 - 2014-05-28 03:44 AM - Harrissou Santanna
- File Identify_tool.png added

Hi,

Yes, | agree, one button would be better.

But i'm also wondering if it won't be nice to have an intermediate state, showing only the layer name and the feature's ID. | join a screenshot.
So, we'll have three states, changing as the user clicks on the button:

- first one showing only the name of the layer(s) -- the current collapse tree mode;

- second one i presented above;

- and the third showing all the attributes of all the features matched -- the current expand tree mode.

#3 - 2014-05-28 05:31 AM - Etienne Tourigny

In the case of 2 options only(expand/collapse), should the icon change when toggled it is toggled or use a single icon?

In the case of 3 options, do you have a suggestion for an icon?

#4 - 2014-05-28 05:31 AM - Etienne Tourigny

Paolo Cavallini wrote:

Furthermore, the full stop at the end of the description should be removed for consistency

Not sure what you mean by this.

#5 - 2014-05-28 05:40 AM - Etienne Tourigny
Also, if there are 3 states the same should apply for the "New results will be expanded by default" button.

#6 - 2014-05-28 08:42 AM - Paolo Cavallini

Re: full stop

/s/Expand tree./Expand tree

etc.

#7 - 2014-05-28 08:43 AM - Paolo Cavallini

Re: toggling icons
Better if they change.

Re: 3 states

Sorry, no suggestion.

#8 - 2014-05-28 09:52 AM - Etienne Tourigny

| guess | could implement the 2-state case with changing icons, adding a 3rd state would be considered a new feature

#9 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#10 - 2018-03-07 12:26 PM - Paolo Cavallini
- Description updated
- Status changed from Open to Feedback

IMHO the current state in QGIS 3 is rather satisfactory.

#11 - 2018-03-07 10:52 PM - Giovanni Manghi
- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
